{"openapi":"3.0.0","info":{"title":"AAS Mapper API","version":"1.0.0","description":"This project provides a tool for mapping proprietary assets from an asset manager serivce like Netilion to the standardized format of Asset Administration Shells and Submodels as specified by the Industrial Digital Twin Association."},"externalDocs":{"url":"/readme","description":"Finde more information here."},"servers":[],"tags":[{"name":"Mapper","description":"Mapping operations from asset source to AAS formats"},{"name":"OI4","description":"CRUD operations on the AAS repository"},{"name":"Authentication","description":"Authentication operations"}],"paths":{"/mapper/shells":{"get":{"tags":["Mapper"],"operationId":"get_all_aas","summary":"Retrieve all Asset Administration Shells from asset source.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"shells":{"type":"array","items":{"$ref":"#/definitions/AssetAdministrationShell"}}}},"example":{"shells":[{"category":"[category]","idShort":"NetilionAAS_123","description":[{"language":"en","text":"Some text in English describing first asset"},{"language":"de","text":"Gleicher text auf Deutch"}],"id":"127.0.0.1:1337/v1/mapper/shells/123","modelType":"AssetAdministrationShell","assetInformation":{"assetKind":"Instance","globalAssetId":"[IRI] dsp.endress.com/AB12"},"submodels":[{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/first_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/second_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/third_submodel/"}]}]},{"category":"[category]","idShort":"NetilionAAS_456","description":[{"language":"en","text":"Some text in English describing second asset"},{"language":"de","text":"Gleicher text auf Deutch"}],"id":"127.0.0.1:1337/v1/mapper/shells/456","modelType":"AssetAdministrationShell","assetInformation":{"assetKind":"Instance","globalAssetId":"[IRI] dsp.endress.com/CD34"},"submodels":[{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/456/submodels/first_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/456/submodels/second_submodel/"}]}]}]}}}},"207":{"description":"Multi-status","content":{"application/json":{"schema":{"type":"object","properties":{"shells":{"type":"array","items":{"$ref":"#/definitions/AssetAdministrationShell"}},"failed":{"type":"array","items":{"$ref":"#/definitions/FailItem"}}}},"example":{"shells":[{"category":"[category]","idShort":"NetilionAAS_123","description":[{"language":"en","text":"Some text in English describing first asset"},{"language":"de","text":"Gleicher text auf Deutch"}],"id":"127.0.0.1:1337/v1/mapper/shells/123","modelType":"AssetAdministrationShell","assetInformation":{"assetKind":"Instance","globalAssetId":"[IRI] dsp.endress.com/AB12"},"submodels":[{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/first_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/second_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/third_submodel/"}]}]},{"category":"[category]","idShort":"NetilionAAS_456","description":[{"language":"en","text":"Some text in English describing second asset"},{"language":"de","text":"Gleicher text auf Deutch"}],"id":"127.0.0.1:1337/v1/mapper/shells/456","modelType":"AssetAdministrationShell","assetInformation":{"assetKind":"Instance","globalAssetId":"[IRI] dsp.endress.com/CD34"},"submodels":[{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/456/submodels/first_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/456/submodels/second_submodel/"}]}]}],"failed":[{"status":502,"json":{"message":"Something went wrong.","error":{"status":404,"json":{"message":"Something was missing on another source"}}}},{"status":404,"json":{"message":"Somthing was missing."}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error"}}}}}},"502":{"description":"Bad Gateeway","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":404,"json":{"message":"Something was missing on another source"}}}}}}}}},"/mapper/shells/submit":{"post":{"tags":["Mapper"],"operationId":"submit_all_aas","summary":"Submit all Asset Administration Shells from asset source to the AAS repository.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"shells":{"type":"array","items":{"$ref":"#/definitions/AssetAdministrationShell"}}}},"example":{"shells":[{"category":"[category]","idShort":"NetilionAAS_123","description":[{"language":"en","text":"Some text in English describing first asset"},{"language":"de","text":"Gleicher text auf Deutch"}],"id":"127.0.0.1:1337/v1/mapper/shells/123","modelType":"AssetAdministrationShell","assetInformation":{"assetKind":"Instance","globalAssetId":"[IRI] dsp.endress.com/AB12"},"submodels":[{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/first_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/second_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/third_submodel/"}]}]},{"category":"[category]","idShort":"NetilionAAS_456","description":[{"language":"en","text":"Some text in English describing second asset"},{"language":"de","text":"Gleicher text auf Deutch"}],"id":"127.0.0.1:1337/v1/mapper/shells/456","modelType":"AssetAdministrationShell","assetInformation":{"assetKind":"Instance","globalAssetId":"[IRI] dsp.endress.com/CD34"},"submodels":[{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/456/submodels/first_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/456/submodels/second_submodel/"}]}]}]}}}},"207":{"description":"Multi-status","content":{"application/json":{"schema":{"type":"object","properties":{"shells":{"type":"array","items":{"$ref":"#/definitions/AssetAdministrationShell"}},"failed":{"type":"array","items":{"$ref":"#/definitions/FailItem"}}}},"example":{"shells":[{"category":"[category]","idShort":"NetilionAAS_123","description":[{"language":"en","text":"Some text in English describing first asset"},{"language":"de","text":"Gleicher text auf Deutch"}],"id":"127.0.0.1:1337/v1/mapper/shells/123","modelType":"AssetAdministrationShell","assetInformation":{"assetKind":"Instance","globalAssetId":"[IRI] dsp.endress.com/AB12"},"submodels":[{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/first_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/second_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/third_submodel/"}]}]},{"category":"[category]","idShort":"NetilionAAS_456","description":[{"language":"en","text":"Some text in English describing second asset"},{"language":"de","text":"Gleicher text auf Deutch"}],"id":"127.0.0.1:1337/v1/mapper/shells/456","modelType":"AssetAdministrationShell","assetInformation":{"assetKind":"Instance","globalAssetId":"[IRI] dsp.endress.com/CD34"},"submodels":[{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/456/submodels/first_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/456/submodels/second_submodel/"}]}]}],"failed":[{"status":502,"json":{"message":"Something went wrong.","error":{"status":404,"json":{"message":"Something was missing on another source"}}}},{"status":404,"json":{"message":"Somthing was missing."}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error"}}}}}},"502":{"description":"Bad Gateeway","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":404,"json":{"message":"Something was missing on another source"}}}}}}}}},"/mapper/shells/{id}":{"parameters":[{"name":"id","in":"path","required":true,"description":"The asset id in the asset source (for example Netilion asset ID)"}],"get":{"tags":["Mapper"],"operationId":"get_aas","summary":"Retrieve Asset Administration Shell for specific asset from asset source.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/definitions/AssetAdministrationShell"},"example":{"category":"[category]","idShort":"NetilionAAS_1234567890","description":[{"language":"en","text":"This is an example of a description."}],"id":"127.0.0.1:1337/v1/mapper/shells/1234567890","modelType":"AssetAdministrationShell","assetInformation":{"assetKind":"Instance","globalAssetId":"[IRI] dsp.endress.com/A12345B67CD8"},"submodels":[{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/1234567890/submodels/a_submodel_name/"}]}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error"}}}}}},"502":{"description":"Bad Gateeway","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":404,"json":{"message":"Something was missing on another source"}}}}}}}}},"/mapper/shells/{id}/submit":{"parameters":[{"name":"id","in":"path","required":true,"description":"The asset id in the asset source (for example Netilion asset ID)"}],"post":{"tags":["Mapper"],"operationId":"submit_aas","summary":"Submit Asset Administration Shell for specific asset from asset source to the AAS repository.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/definitions/AssetAdministrationShell"},"example":{"category":"[category]","idShort":"NetilionAAS_1234567890","description":[{"language":"en","text":"This is an example of a description."}],"id":"127.0.0.1:1337/v1/mapper/shells/1234567890","modelType":"AssetAdministrationShell","assetInformation":{"assetKind":"Instance","globalAssetId":"[IRI] dsp.endress.com/A12345B67CD8"},"submodels":[{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/1234567890/submodels/a_submodel_name/"}]}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error"}}}}}},"502":{"description":"Bad Gateeway","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":404,"json":{"message":"Something was missing on another source"}}}}}}}}},"/mapper/shells/{id}/submodels":{"parameters":[{"name":"id","in":"path","required":true,"description":"The asset id in the asset source (for example Netilion asset ID)"}],"get":{"tags":["Mapper"],"operationId":"get_all_submodels_for_asset","summary":"Retrieve all submodels referenced by the Asset Administration Shell of a specific asset from asset source.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"submodels":{"type":"array","items":{"$ref":"#/definitions/Submodel"}}}},"example":{"submodels":[{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]},{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/other_submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/OtherSubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/other_submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}]}}}},"207":{"description":"Multi-status","content":{"application/json":{"schema":{"type":"object","properties":{"submodels":{"type":"array","items":{"$ref":"#/definitions/Submodel"}},"failed":{"type":"array","items":{"$ref":"#/definitions/FailItem"}}}},"example":{"submodels":[{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]},{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/other_submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/OtherSubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/other_submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}],"failed":[{"status":502,"json":{"message":"Something went wrong.","error":{"status":404,"json":{"message":"Something was missing on another source"}}}},{"status":404,"json":{"message":"Somthing was missing."}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error"}}}}}},"502":{"description":"Bad Gateeway","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":404,"json":{"message":"Something was missing on another source"}}}}}}}}},"/mapper/shells/{id}/submodels/submit":{"parameters":[{"name":"id","in":"path","required":true,"description":"The asset id in the asset source (for example Netilion asset ID)"}],"post":{"tags":["Mapper"],"operationId":"submit_all_submodels_for_asset","summary":"Submit all submodels referenced by the Asset Administration Shell of a specific asset from asset source to the AAS repository.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"submodels":{"type":"array","items":{"$ref":"#/definitions/Submodel"}}}},"example":{"submodels":[{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]},{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/other_submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/OtherSubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/other_submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}]}}}},"207":{"description":"Multi-status","content":{"application/json":{"schema":{"type":"object","properties":{"submodels":{"type":"array","items":{"$ref":"#/definitions/Submodel"}},"failed":{"type":"array","items":{"$ref":"#/definitions/FailItem"}}}},"example":{"submodels":[{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]},{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/other_submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/OtherSubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/other_submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}],"failed":[{"status":502,"json":{"message":"Something went wrong.","error":{"status":404,"json":{"message":"Something was missing on another source"}}}},{"status":404,"json":{"message":"Somthing was missing."}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error"}}}}}},"502":{"description":"Bad Gateeway","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":404,"json":{"message":"Something was missing on another source"}}}}}}}}},"/mapper/shells/{id}/submodels/{id_short}":{"parameters":[{"name":"id","in":"path","required":true,"description":"The asset id in the asset source (for example Netilion asset ID)."},{"name":"id_short","in":"path","required":true,"description":"\"idShort\" of the submodel belonging to the asset.\nNote that the value must be converted from PascalCase to snake_case (for example 'Nameplate' to 'nameplate' and 'ContactInformations' to 'contact_informations')."}],"get":{"tags":["Mapper"],"operationId":"get_submodel_for_asset","summary":"Retrieve submodel of a specific type referenced by the Asset Administration Shell of a specific asset from asset source.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/definitions/Submodel"},"example":{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error"}}}}}},"502":{"description":"Bad Gateeway","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":404,"json":{"message":"Something was missing on another source"}}}}}}}}},"/mapper/shells/{id}/submodels/{id_short}/submit":{"parameters":[{"name":"id","in":"path","required":true,"description":"The asset id in the asset source (for example Netilion asset ID)."},{"name":"id_short","in":"path","required":true,"description":"\"idShort\" of the submodel belonging to the asset.\nNote that the value must be converted from PascalCase to snake_case (for example 'Nameplate' to 'nameplate' and 'ContactInformations' to 'contact_informations')."}],"post":{"tags":["Mapper"],"operationId":"submit_submodel_for_asset","summary":"Submit submodel of a specific type referenced by the Asset Administration Shell of a specific asset from asset source to the AAS repository.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/definitions/Submodel"},"example":{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error"}}}}}},"502":{"description":"Bad Gateeway","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":404,"json":{"message":"Something was missing on another source"}}}}}}}}},"/mapper/submodels":{"get":{"tags":["Mapper"],"operationId":"get_all_submodels_for_all_assets","summary":"Retrieve all submodels from asset source.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"submodels":{"type":"array","items":{"$ref":"#/definitions/Submodel"}}}},"example":{"submodels":[{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]},{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/5678/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}]}}}},"207":{"description":"Multi-status","content":{"application/json":{"schema":{"type":"object","properties":{"submodels":{"type":"array","items":{"$ref":"#/definitions/Submodel"}},"failed":{"type":"array","items":{"$ref":"#/definitions/FailItem"}}}},"example":{"submodels":[{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]},{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/5678/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}],"failed":[{"status":502,"json":{"message":"Something went wrong.","error":{"status":404,"json":{"message":"Something was missing on another source"}}}},{"status":404,"json":{"message":"Somthing was missing."}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error"}}}}}},"502":{"description":"Bad Gateeway","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":404,"json":{"message":"Something was missing on another source"}}}}}}}}},"/mapper/submodels/submit":{"post":{"tags":["Mapper"],"operationId":"submit_all_submodels_for_all_assets","summary":"Submit all submodels from asset source to the AAS repository.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"submodels":{"type":"array","items":{"$ref":"#/definitions/Submodel"}}}},"example":{"submodels":[{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]},{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/5678/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}]}}}},"207":{"description":"Multi-status","content":{"application/json":{"schema":{"type":"object","properties":{"submodels":{"type":"array","items":{"$ref":"#/definitions/Submodel"}},"failed":{"type":"array","items":{"$ref":"#/definitions/FailItem"}}}},"example":{"submodels":[{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]},{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/5678/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}],"failed":[{"status":502,"json":{"message":"Something went wrong.","error":{"status":404,"json":{"message":"Something was missing on another source"}}}},{"status":404,"json":{"message":"Somthing was missing."}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error"}}}}}},"502":{"description":"Bad Gateeway","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":404,"json":{"message":"Something was missing on another source"}}}}}}}}},"/mapper/submodels/{id_short}":{"parameters":[{"name":"id_short","in":"path","required":true,"description":"\"idShort\" of the target submodels.\nNote that the value must be converted from PascalCase to snake_case (for example 'Nameplate' to 'nameplate' and 'ContactInformations' to 'contact_informations')."}],"get":{"tags":["Mapper"],"operationId":"get_submodel_for_all_assets","summary":"Retrieve all submodels of a specific type from asset source.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"submodels":{"type":"array","items":{"$ref":"#/definitions/Submodel"}}}},"example":{"submodels":[{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]},{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/5678/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}]}}}},"207":{"description":"Multi-status","content":{"application/json":{"schema":{"type":"object","properties":{"submodels":{"type":"array","items":{"$ref":"#/definitions/Submodel"}},"failed":{"type":"array","items":{"$ref":"#/definitions/FailItem"}}}},"example":{"submodels":[{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]},{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/5678/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}],"failed":[{"status":502,"json":{"message":"Something went wrong.","error":{"status":404,"json":{"message":"Something was missing on another source"}}}},{"status":404,"json":{"message":"Somthing was missing."}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error"}}}}}},"502":{"description":"Bad Gateeway","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":404,"json":{"message":"Something was missing on another source"}}}}}}}}},"/mapper/submodels/{id_short}/submit":{"parameters":[{"name":"id_short","in":"path","required":true,"description":"\"idShort\" of the target submodels.\nNote that the value must be converted from PascalCase to snake_case (for example 'Nameplate' to 'nameplate' and 'ContactInformations' to 'contact_informations')."}],"post":{"tags":["Mapper"],"operationId":"submit_submodel_for_all_assets","summary":"Submit all submodels of a specific type from asset source to the AAS repository.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"submodels":{"type":"array","items":{"$ref":"#/definitions/Submodel"}}}},"example":{"submodels":[{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]},{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/5678/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}]}}}},"207":{"description":"Multi-status","content":{"application/json":{"schema":{"type":"object","properties":{"submodels":{"type":"array","items":{"$ref":"#/definitions/Submodel"}},"failed":{"type":"array","items":{"$ref":"#/definitions/FailItem"}}}},"example":{"submodels":[{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]},{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/5678/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}],"failed":[{"status":502,"json":{"message":"Something went wrong.","error":{"status":404,"json":{"message":"Something was missing on another source"}}}},{"status":404,"json":{"message":"Somthing was missing."}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error"}}}}}},"502":{"description":"Bad Gateeway","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":404,"json":{"message":"Something was missing on another source"}}}}}}}}},"/oi4-repo/shells":{"get":{"tags":["OI4"],"operationId":"get_all_aas","summary":"Retrieve all Asset Administration Shells from AAS repository.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"shells":{"type":"array","items":{"$ref":"#/definitions/AssetAdministrationShell"}}}},"example":{"shells":[{"category":"[category]","idShort":"NetilionAAS_123","description":[{"language":"en","text":"Some text in English describing first asset"},{"language":"de","text":"Gleicher text auf Deutch"}],"id":"127.0.0.1:1337/v1/mapper/shells/123","modelType":"AssetAdministrationShell","assetInformation":{"assetKind":"Instance","globalAssetId":"[IRI] dsp.endress.com/AB12"},"submodels":[{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/first_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/second_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/third_submodel/"}]}]},{"category":"[category]","idShort":"NetilionAAS_456","description":[{"language":"en","text":"Some text in English describing second asset"},{"language":"de","text":"Gleicher text auf Deutch"}],"id":"127.0.0.1:1337/v1/mapper/shells/456","modelType":"AssetAdministrationShell","assetInformation":{"assetKind":"Instance","globalAssetId":"[IRI] dsp.endress.com/CD34"},"submodels":[{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/456/submodels/first_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/456/submodels/second_submodel/"}]}]}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error","error":{"status":404,"json":{"message":"Something was missing"}}}}}}}}}}},"/oi4-repo/shells/{id}":{"parameters":[{"name":"id","in":"path","required":true,"description":"The base64 encoded ID of the target Asset Adimitstration Shell."}],"get":{"tags":["OI4"],"operationId":"get_aas","summary":"Retrieve a specific Asset Administration Shell from AAS repository.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/definitions/AssetAdministrationShell"},"example":{"category":"[category]","idShort":"NetilionAAS_123","description":[{"language":"en","text":"Some text in English describing first asset"},{"language":"de","text":"Gleicher text auf Deutch"}],"id":"127.0.0.1:1337/v1/mapper/shells/123","modelType":"AssetAdministrationShell","assetInformation":{"assetKind":"Instance","globalAssetId":"[IRI] dsp.endress.com/AB12"},"submodels":[{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/first_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/second_submodel/"}]},{"type":"ModelReference","keys":[{"type":"Submodel","value":"127.0.0.1:1337/v1/mapper/shells/123/submodels/third_submodel/"}]}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error","error":{"status":404,"json":{"message":"Something was missing"}}}}}}}}}}},"/oi4-repo/submodels":{"get":{"tags":["OI4"],"operationId":"get_all_submodels","summary":"Retrieve all Submodels from AAS repository.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"submodels":{"type":"array","items":{"$ref":"#/definitions/Submodel"}}}},"example":{"submodels":[{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]},{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/5678/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error","error":{"status":404,"json":{"message":"Something was missing"}}}}}}}}}}},"/oi4-repo/submodels/{id}":{"parameters":[{"name":"id","in":"path","required":true,"description":"The base64 encoded ID of the target Submodel."}],"get":{"tags":["OI4"],"operationId":"get_submodel","summary":"Retrieve specific Submodel from AAS repository.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/definitions/Submodel"},"example":{"idShort":"SubmodelName","id":"127.0.0.1:1337/v1/mapper/shells/1234/submodels/submodel_name/","kind":"Instance","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SubmodelName"}]},"modelType":"Submodel","submodelElements":[{"idShort":"SomeProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-ABC345#006"}]},"modelType":"Property","valueType":"xs:string","value":"ValueOfTheProperty"},{"idShort":"SomeMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-7#08-DEF901#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"PropertyInTheFirstLanguage"},{"language":"de","text":"PropertyInDerZweitenSprache"}]},{"idShort":"SomeSmc","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRI] https://admin-shell.io/zvei/submodel_name/2/0/SmcName"}]},"modelType":"SubmodelElementCollection","value":[{"idShort":"SomeSmcMultyLanguageProperty","semanticId":{"type":"ModelReference","keys":[{"type":"ConceptDescription","value":"[IRDI] 0173-1#02-AAO128#002"}]},"modelType":"MultiLanguageProperty","value":[{"language":"en","text":"Value of property in English"},{"language":"de","text":"Wert der Property auf Deutsch"}]}]}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error","error":{"status":404,"json":{"message":"Something was missing"}}}}}}}}}}},"/auth/asset-source":{"post":{"tags":["Authentication"],"operationId":"get_auth_token","summary":"Receive authentication token from the asset source in the form of cookies (if available).","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"]},"example":{"message":"Authentication successful"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Some authentication error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something was missing"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/definitions/ResponseError"},"example":{"message":"Something went wrong","error":{"status":500,"json":{"message":"More detailed error","error":{"status":404,"json":{"message":"Something was missing"}}}}}}}}}}}},"definitions":{"AasSubmodelElements":{"type":"string","enum":["AnnotatedRelationshipElement","BasicEventElement","Blob","Capability","DataElement","Entity","EventElement","File","MultiLanguageProperty","Operation","Property","Range","ReferenceElement","RelationshipElement","SubmodelElement","SubmodelElementCollection","SubmodelElementList"]},"AbstractLangString":{"type":"object","properties":{"language":{"type":"string","pattern":"^(([a-zA-Z]{2,3}(-[a-zA-Z]{3}(-[a-zA-Z]{3}){2})?|[a-zA-Z]{4}|[a-zA-Z]{5,8})(-[a-zA-Z]{4})?(-([a-zA-Z]{2}|[0-9]{3}))?(-(([a-zA-Z0-9]){5,8}|[0-9]([a-zA-Z0-9]){3}))*(-[0-9A-WY-Za-wy-z](-([a-zA-Z0-9]){2,8})+)*(-[xX](-([a-zA-Z0-9]){1,8})+)?|[xX](-([a-zA-Z0-9]){1,8})+|((en-GB-oed|i-ami|i-bnn|i-default|i-enochian|i-hak|i-klingon|i-lux|i-mingo|i-navajo|i-pwn|i-tao|i-tay|i-tsu|sgn-BE-FR|sgn-BE-NL|sgn-CH-DE)|(art-lojban|cel-gaulish|no-bok|no-nyn|zh-guoyu|zh-hakka|zh-min|zh-min-nan|zh-xiang)))$"},"text":{"type":"string","minLength":1,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"}},"required":["language","text"]},"AdministrativeInformation":{"allOf":[{"$ref":"#/definitions/HasDataSpecification"},{"properties":{"version":{"type":"string","allOf":[{"minLength":1,"maxLength":4},{"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},{"pattern":"^(0|[1-9][0-9]*)$"}]},"revision":{"type":"string","allOf":[{"minLength":1,"maxLength":4},{"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},{"pattern":"^(0|[1-9][0-9]*)$"}]},"creator":{"$ref":"#/definitions/Reference"},"templateId":{"type":"string","minLength":1,"maxLength":2000,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"}}}]},"AnnotatedRelationshipElement":{"allOf":[{"$ref":"#/definitions/RelationshipElement_abstract"},{"properties":{"annotations":{"type":"array","items":{"$ref":"#/definitions/DataElement_choice"},"minItems":1},"modelType":{"const":"AnnotatedRelationshipElement"}}}]},"AssetAdministrationShell":{"allOf":[{"$ref":"#/definitions/Identifiable"},{"$ref":"#/definitions/HasDataSpecification"},{"properties":{"derivedFrom":{"$ref":"#/definitions/Reference"},"assetInformation":{"$ref":"#/definitions/AssetInformation"},"submodels":{"type":"array","items":{"$ref":"#/definitions/Reference"},"minItems":1},"modelType":{"const":"AssetAdministrationShell"}},"required":["assetInformation"]}]},"AssetInformation":{"type":"object","properties":{"assetKind":{"$ref":"#/definitions/AssetKind"},"globalAssetId":{"type":"string","minLength":1,"maxLength":2000,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"specificAssetIds":{"type":"array","items":{"$ref":"#/definitions/SpecificAssetId"},"minItems":1},"assetType":{"type":"string","minLength":1,"maxLength":2000,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"defaultThumbnail":{"$ref":"#/definitions/Resource"}},"required":["assetKind"]},"AssetKind":{"type":"string","enum":["Instance","NotApplicable","Type"]},"BasicEventElement":{"allOf":[{"$ref":"#/definitions/EventElement"},{"properties":{"observed":{"$ref":"#/definitions/Reference"},"direction":{"$ref":"#/definitions/Direction"},"state":{"$ref":"#/definitions/StateOfEvent"},"messageTopic":{"type":"string","minLength":1,"maxLength":255,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"messageBroker":{"$ref":"#/definitions/Reference"},"lastUpdate":{"type":"string","pattern":"^-?(([1-9][0-9][0-9][0-9]+)|(0[0-9][0-9][0-9]))-((0[1-9])|(1[0-2]))-((0[1-9])|([12][0-9])|(3[01]))T(((([01][0-9])|(2[0-3])):[0-5][0-9]:([0-5][0-9])(\\.[0-9]+)?)|24:00:00(\\.0+)?)(Z|\\+00:00|-00:00)$"},"minInterval":{"type":"string","pattern":"^-?P((([0-9]+Y([0-9]+M)?([0-9]+D)?|([0-9]+M)([0-9]+D)?|([0-9]+D))(T(([0-9]+H)([0-9]+M)?([0-9]+(\\.[0-9]+)?S)?|([0-9]+M)([0-9]+(\\.[0-9]+)?S)?|([0-9]+(\\.[0-9]+)?S)))?)|(T(([0-9]+H)([0-9]+M)?([0-9]+(\\.[0-9]+)?S)?|([0-9]+M)([0-9]+(\\.[0-9]+)?S)?|([0-9]+(\\.[0-9]+)?S))))$"},"maxInterval":{"type":"string","pattern":"^-?P((([0-9]+Y([0-9]+M)?([0-9]+D)?|([0-9]+M)([0-9]+D)?|([0-9]+D))(T(([0-9]+H)([0-9]+M)?([0-9]+(\\.[0-9]+)?S)?|([0-9]+M)([0-9]+(\\.[0-9]+)?S)?|([0-9]+(\\.[0-9]+)?S)))?)|(T(([0-9]+H)([0-9]+M)?([0-9]+(\\.[0-9]+)?S)?|([0-9]+M)([0-9]+(\\.[0-9]+)?S)?|([0-9]+(\\.[0-9]+)?S))))$"},"modelType":{"const":"BasicEventElement"}},"required":["observed","direction","state"]}]},"Blob":{"allOf":[{"$ref":"#/definitions/DataElement"},{"properties":{"value":{"type":"string","contentEncoding":"base64"},"contentType":{"type":"string","allOf":[{"minLength":1,"maxLength":100},{"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},{"pattern":"^([!#$%&'*+\\-.^_`|~0-9a-zA-Z])+/([!#$%&'*+\\-.^_`|~0-9a-zA-Z])+([ \\t]*;[ \\t]*([!#$%&'*+\\-.^_`|~0-9a-zA-Z])+=(([!#$%&'*+\\-.^_`|~0-9a-zA-Z])+|\"(([\\t !#-\\[\\]-~]|[-ÿ])|\\\\([\\t !-~]|[-ÿ]))*\"))*$"}]},"modelType":{"const":"Blob"}},"required":["contentType"]}]},"Capability":{"allOf":[{"$ref":"#/definitions/SubmodelElement"},{"properties":{"modelType":{"const":"Capability"}}}]},"ConceptDescription":{"allOf":[{"$ref":"#/definitions/Identifiable"},{"$ref":"#/definitions/HasDataSpecification"},{"properties":{"isCaseOf":{"type":"array","items":{"$ref":"#/definitions/Reference"},"minItems":1},"modelType":{"const":"ConceptDescription"}}}]},"DataElement":{"$ref":"#/definitions/SubmodelElement"},"DataElement_choice":{"oneOf":[{"$ref":"#/definitions/Blob"},{"$ref":"#/definitions/File"},{"$ref":"#/definitions/MultiLanguageProperty"},{"$ref":"#/definitions/Property"},{"$ref":"#/definitions/Range"},{"$ref":"#/definitions/ReferenceElement"}]},"DataSpecificationContent":{"type":"object","properties":{"modelType":{"$ref":"#/definitions/ModelType"}},"required":["modelType"]},"DataSpecificationContent_choice":{"oneOf":[{"$ref":"#/definitions/DataSpecificationIec61360"}]},"DataSpecificationIec61360":{"allOf":[{"$ref":"#/definitions/DataSpecificationContent"},{"properties":{"preferredName":{"type":"array","items":{"$ref":"#/definitions/LangStringPreferredNameTypeIec61360"},"minItems":1},"shortName":{"type":"array","items":{"$ref":"#/definitions/LangStringShortNameTypeIec61360"},"minItems":1},"unit":{"type":"string","minLength":1,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"unitId":{"$ref":"#/definitions/Reference"},"sourceOfDefinition":{"type":"string","minLength":1,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"symbol":{"type":"string","minLength":1,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"dataType":{"$ref":"#/definitions/DataTypeIec61360"},"definition":{"type":"array","items":{"$ref":"#/definitions/LangStringDefinitionTypeIec61360"},"minItems":1},"valueFormat":{"type":"string","minLength":1,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"valueList":{"$ref":"#/definitions/ValueList"},"value":{"type":"string","minLength":1,"maxLength":2000,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"levelType":{"$ref":"#/definitions/LevelType"},"modelType":{"const":"DataSpecificationIec61360"}},"required":["preferredName"]}]},"DataTypeDefXsd":{"type":"string","enum":["xs:anyURI","xs:base64Binary","xs:boolean","xs:byte","xs:date","xs:dateTime","xs:decimal","xs:double","xs:duration","xs:float","xs:gDay","xs:gMonth","xs:gMonthDay","xs:gYear","xs:gYearMonth","xs:hexBinary","xs:int","xs:integer","xs:long","xs:negativeInteger","xs:nonNegativeInteger","xs:nonPositiveInteger","xs:positiveInteger","xs:short","xs:string","xs:time","xs:unsignedByte","xs:unsignedInt","xs:unsignedLong","xs:unsignedShort"]},"DataTypeIec61360":{"type":"string","enum":["BLOB","BOOLEAN","DATE","FILE","HTML","INTEGER_COUNT","INTEGER_CURRENCY","INTEGER_MEASURE","IRDI","IRI","RATIONAL","RATIONAL_MEASURE","REAL_COUNT","REAL_CURRENCY","REAL_MEASURE","STRING","STRING_TRANSLATABLE","TIME","TIMESTAMP"]},"Direction":{"type":"string","enum":["input","output"]},"EmbeddedDataSpecification":{"type":"object","properties":{"dataSpecification":{"$ref":"#/definitions/Reference"},"dataSpecificationContent":{"$ref":"#/definitions/DataSpecificationContent_choice"}},"required":["dataSpecification","dataSpecificationContent"]},"Entity":{"allOf":[{"$ref":"#/definitions/SubmodelElement"},{"properties":{"statements":{"type":"array","items":{"$ref":"#/definitions/SubmodelElement_choice"},"minItems":1},"entityType":{"$ref":"#/definitions/EntityType"},"globalAssetId":{"type":"string","minLength":1,"maxLength":2000,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"specificAssetIds":{"type":"array","items":{"$ref":"#/definitions/SpecificAssetId"},"minItems":1},"modelType":{"const":"Entity"}},"required":["entityType"]}]},"EntityType":{"type":"string","enum":["CoManagedEntity","SelfManagedEntity"]},"Environment":{"type":"object","properties":{"assetAdministrationShells":{"type":"array","items":{"$ref":"#/definitions/AssetAdministrationShell"},"minItems":1},"submodels":{"type":"array","items":{"$ref":"#/definitions/Submodel"},"minItems":1},"conceptDescriptions":{"type":"array","items":{"$ref":"#/definitions/ConceptDescription"},"minItems":1}}},"EventElement":{"$ref":"#/definitions/SubmodelElement"},"EventPayload":{"type":"object","properties":{"source":{"$ref":"#/definitions/Reference"},"sourceSemanticId":{"$ref":"#/definitions/Reference"},"observableReference":{"$ref":"#/definitions/Reference"},"observableSemanticId":{"$ref":"#/definitions/Reference"},"topic":{"type":"string","minLength":1,"maxLength":255,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"subjectId":{"$ref":"#/definitions/Reference"},"timeStamp":{"type":"string","pattern":"^-?(([1-9][0-9][0-9][0-9]+)|(0[0-9][0-9][0-9]))-((0[1-9])|(1[0-2]))-((0[1-9])|([12][0-9])|(3[01]))T(((([01][0-9])|(2[0-3])):[0-5][0-9]:([0-5][0-9])(\\.[0-9]+)?)|24:00:00(\\.0+)?)(Z|\\+00:00|-00:00)$"},"payload":{"type":"string","contentEncoding":"base64"}},"required":["source","observableReference","timeStamp"]},"Extension":{"allOf":[{"$ref":"#/definitions/HasSemantics"},{"properties":{"name":{"type":"string","minLength":1,"maxLength":128,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"valueType":{"$ref":"#/definitions/DataTypeDefXsd"},"value":{"type":"string"},"refersTo":{"type":"array","items":{"$ref":"#/definitions/Reference"},"minItems":1}},"required":["name"]}]},"File":{"allOf":[{"$ref":"#/definitions/DataElement"},{"properties":{"value":{"type":"string","allOf":[{"minLength":1,"maxLength":2000},{"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},{"pattern":"^file:(//((localhost|(\\[((([0-9A-Fa-f]{1,4}:){6}([0-9A-Fa-f]{1,4}:[0-9A-Fa-f]{1,4}|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))|::([0-9A-Fa-f]{1,4}:){5}([0-9A-Fa-f]{1,4}:[0-9A-Fa-f]{1,4}|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))|([0-9A-Fa-f]{1,4})?::([0-9A-Fa-f]{1,4}:){4}([0-9A-Fa-f]{1,4}:[0-9A-Fa-f]{1,4}|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))|(([0-9A-Fa-f]{1,4}:)?[0-9A-Fa-f]{1,4})?::([0-9A-Fa-f]{1,4}:){3}([0-9A-Fa-f]{1,4}:[0-9A-Fa-f]{1,4}|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))|(([0-9A-Fa-f]{1,4}:){2}[0-9A-Fa-f]{1,4})?::([0-9A-Fa-f]{1,4}:){2}([0-9A-Fa-f]{1,4}:[0-9A-Fa-f]{1,4}|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))|(([0-9A-Fa-f]{1,4}:){3}[0-9A-Fa-f]{1,4})?::[0-9A-Fa-f]{1,4}:([0-9A-Fa-f]{1,4}:[0-9A-Fa-f]{1,4}|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))|(([0-9A-Fa-f]{1,4}:){4}[0-9A-Fa-f]{1,4})?::([0-9A-Fa-f]{1,4}:[0-9A-Fa-f]{1,4}|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))|(([0-9A-Fa-f]{1,4}:){5}[0-9A-Fa-f]{1,4})?::[0-9A-Fa-f]{1,4}|(([0-9A-Fa-f]{1,4}:){6}[0-9A-Fa-f]{1,4})?::)|[vV][0-9A-Fa-f]+\\.([a-zA-Z0-9\\-._~]|[!$&'()*+,;=]|:)+)\\]|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])|([a-zA-Z0-9\\-._~]|%[0-9A-Fa-f][0-9A-Fa-f]|[!$&'()*+,;=])*)))?/((([a-zA-Z0-9\\-._~]|%[0-9A-Fa-f][0-9A-Fa-f]|[!$&'()*+,;=]|[:@]))+(/(([a-zA-Z0-9\\-._~]|%[0-9A-Fa-f][0-9A-Fa-f]|[!$&'()*+,;=]|[:@]))*)*)?|/((([a-zA-Z0-9\\-._~]|%[0-9A-Fa-f][0-9A-Fa-f]|[!$&'()*+,;=]|[:@]))+(/(([a-zA-Z0-9\\-._~]|%[0-9A-Fa-f][0-9A-Fa-f]|[!$&'()*+,;=]|[:@]))*)*)?)$"}]},"contentType":{"type":"string","allOf":[{"minLength":1,"maxLength":100},{"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},{"pattern":"^([!#$%&'*+\\-.^_`|~0-9a-zA-Z])+/([!#$%&'*+\\-.^_`|~0-9a-zA-Z])+([ \\t]*;[ \\t]*([!#$%&'*+\\-.^_`|~0-9a-zA-Z])+=(([!#$%&'*+\\-.^_`|~0-9a-zA-Z])+|\"(([\\t !#-\\[\\]-~]|[-ÿ])|\\\\([\\t !-~]|[-ÿ]))*\"))*$"}]},"modelType":{"const":"File"}},"required":["contentType"]}]},"HasDataSpecification":{"type":"object","properties":{"embeddedDataSpecifications":{"type":"array","items":{"$ref":"#/definitions/EmbeddedDataSpecification"},"minItems":1}}},"HasExtensions":{"type":"object","properties":{"extensions":{"type":"array","items":{"$ref":"#/definitions/Extension"},"minItems":1}}},"HasKind":{"type":"object","properties":{"kind":{"$ref":"#/definitions/ModellingKind"}}},"HasSemantics":{"type":"object","properties":{"semanticId":{"$ref":"#/definitions/Reference"},"supplementalSemanticIds":{"type":"array","items":{"$ref":"#/definitions/Reference"},"minItems":1}}},"Identifiable":{"allOf":[{"$ref":"#/definitions/Referable"},{"properties":{"administration":{"$ref":"#/definitions/AdministrativeInformation"},"id":{"type":"string","minLength":1,"maxLength":2000,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"}},"required":["id"]}]},"Key":{"type":"object","properties":{"type":{"$ref":"#/definitions/KeyTypes"},"value":{"type":"string","minLength":1,"maxLength":2000,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"}},"required":["type","value"]},"KeyTypes":{"type":"string","enum":["AnnotatedRelationshipElement","AssetAdministrationShell","BasicEventElement","Blob","Capability","ConceptDescription","DataElement","Entity","EventElement","File","FragmentReference","GlobalReference","Identifiable","MultiLanguageProperty","Operation","Property","Range","Referable","ReferenceElement","RelationshipElement","Submodel","SubmodelElement","SubmodelElementCollection","SubmodelElementList"]},"LangStringDefinitionTypeIec61360":{"allOf":[{"$ref":"#/definitions/AbstractLangString"},{"properties":{"text":{"maxLength":1023}}}]},"LangStringNameType":{"allOf":[{"$ref":"#/definitions/AbstractLangString"},{"properties":{"text":{"maxLength":128}}}]},"LangStringPreferredNameTypeIec61360":{"allOf":[{"$ref":"#/definitions/AbstractLangString"},{"properties":{"text":{"maxLength":255}}}]},"LangStringShortNameTypeIec61360":{"allOf":[{"$ref":"#/definitions/AbstractLangString"},{"properties":{"text":{"maxLength":18}}}]},"LangStringTextType":{"allOf":[{"$ref":"#/definitions/AbstractLangString"},{"properties":{"text":{"maxLength":1023}}}]},"LevelType":{"type":"object","properties":{"min":{"type":"boolean"},"nom":{"type":"boolean"},"typ":{"type":"boolean"},"max":{"type":"boolean"}},"required":["min","nom","typ","max"]},"ModelType":{"type":"string","enum":["AnnotatedRelationshipElement","AssetAdministrationShell","BasicEventElement","Blob","Capability","ConceptDescription","DataSpecificationIec61360","Entity","File","MultiLanguageProperty","Operation","Property","Range","ReferenceElement","RelationshipElement","Submodel","SubmodelElementCollection","SubmodelElementList"]},"ModellingKind":{"type":"string","enum":["Instance","Template"]},"MultiLanguageProperty":{"allOf":[{"$ref":"#/definitions/DataElement"},{"properties":{"value":{"type":"array","items":{"$ref":"#/definitions/LangStringTextType"},"minItems":1},"valueId":{"$ref":"#/definitions/Reference"},"modelType":{"const":"MultiLanguageProperty"}}}]},"Operation":{"allOf":[{"$ref":"#/definitions/SubmodelElement"},{"properties":{"inputVariables":{"type":"array","items":{"$ref":"#/definitions/OperationVariable"},"minItems":1},"outputVariables":{"type":"array","items":{"$ref":"#/definitions/OperationVariable"},"minItems":1},"inoutputVariables":{"type":"array","items":{"$ref":"#/definitions/OperationVariable"},"minItems":1},"modelType":{"const":"Operation"}}}]},"OperationVariable":{"type":"object","properties":{"value":{"$ref":"#/definitions/SubmodelElement_choice"}},"required":["value"]},"Property":{"allOf":[{"$ref":"#/definitions/DataElement"},{"properties":{"valueType":{"$ref":"#/definitions/DataTypeDefXsd"},"value":{"type":"string"},"valueId":{"$ref":"#/definitions/Reference"},"modelType":{"const":"Property"}},"required":["valueType"]}]},"Qualifiable":{"type":"object","properties":{"qualifiers":{"type":"array","items":{"$ref":"#/definitions/Qualifier"},"minItems":1},"modelType":{"$ref":"#/definitions/ModelType"}},"required":["modelType"]},"Qualifier":{"allOf":[{"$ref":"#/definitions/HasSemantics"},{"properties":{"kind":{"$ref":"#/definitions/QualifierKind"},"type":{"type":"string","minLength":1,"maxLength":128,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"valueType":{"$ref":"#/definitions/DataTypeDefXsd"},"value":{"type":"string"},"valueId":{"$ref":"#/definitions/Reference"}},"required":["type","valueType"]}]},"QualifierKind":{"type":"string","enum":["ConceptQualifier","TemplateQualifier","ValueQualifier"]},"Range":{"allOf":[{"$ref":"#/definitions/DataElement"},{"properties":{"valueType":{"$ref":"#/definitions/DataTypeDefXsd"},"min":{"type":"string"},"max":{"type":"string"},"modelType":{"const":"Range"}},"required":["valueType"]}]},"Referable":{"allOf":[{"$ref":"#/definitions/HasExtensions"},{"properties":{"category":{"type":"string","minLength":1,"maxLength":128,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"idShort":{"type":"string","allOf":[{"minLength":1,"maxLength":128},{"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},{"pattern":"^[a-zA-Z][a-zA-Z0-9_]*$"}]},"displayName":{"type":"array","items":{"$ref":"#/definitions/LangStringNameType"},"minItems":1},"description":{"type":"array","items":{"$ref":"#/definitions/LangStringTextType"},"minItems":1},"modelType":{"$ref":"#/definitions/ModelType"}},"required":["modelType"]}]},"Reference":{"type":"object","properties":{"type":{"$ref":"#/definitions/ReferenceTypes"},"referredSemanticId":{"$ref":"#/definitions/Reference"},"keys":{"type":"array","items":{"$ref":"#/definitions/Key"},"minItems":1}},"required":["type","keys"]},"ReferenceElement":{"allOf":[{"$ref":"#/definitions/DataElement"},{"properties":{"value":{"$ref":"#/definitions/Reference"},"modelType":{"const":"ReferenceElement"}}}]},"ReferenceTypes":{"type":"string","enum":["ExternalReference","ModelReference"]},"RelationshipElement":{"allOf":[{"$ref":"#/definitions/RelationshipElement_abstract"},{"properties":{"modelType":{"const":"RelationshipElement"}}}]},"RelationshipElement_abstract":{"allOf":[{"$ref":"#/definitions/SubmodelElement"},{"properties":{"first":{"$ref":"#/definitions/Reference"},"second":{"$ref":"#/definitions/Reference"}},"required":["first","second"]}]},"RelationshipElement_choice":{"oneOf":[{"$ref":"#/definitions/RelationshipElement"},{"$ref":"#/definitions/AnnotatedRelationshipElement"}]},"Resource":{"type":"object","properties":{"path":{"type":"string","allOf":[{"minLength":1,"maxLength":2000},{"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},{"pattern":"^file:(//((localhost|(\\[((([0-9A-Fa-f]{1,4}:){6}([0-9A-Fa-f]{1,4}:[0-9A-Fa-f]{1,4}|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))|::([0-9A-Fa-f]{1,4}:){5}([0-9A-Fa-f]{1,4}:[0-9A-Fa-f]{1,4}|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))|([0-9A-Fa-f]{1,4})?::([0-9A-Fa-f]{1,4}:){4}([0-9A-Fa-f]{1,4}:[0-9A-Fa-f]{1,4}|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))|(([0-9A-Fa-f]{1,4}:)?[0-9A-Fa-f]{1,4})?::([0-9A-Fa-f]{1,4}:){3}([0-9A-Fa-f]{1,4}:[0-9A-Fa-f]{1,4}|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))|(([0-9A-Fa-f]{1,4}:){2}[0-9A-Fa-f]{1,4})?::([0-9A-Fa-f]{1,4}:){2}([0-9A-Fa-f]{1,4}:[0-9A-Fa-f]{1,4}|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))|(([0-9A-Fa-f]{1,4}:){3}[0-9A-Fa-f]{1,4})?::[0-9A-Fa-f]{1,4}:([0-9A-Fa-f]{1,4}:[0-9A-Fa-f]{1,4}|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))|(([0-9A-Fa-f]{1,4}:){4}[0-9A-Fa-f]{1,4})?::([0-9A-Fa-f]{1,4}:[0-9A-Fa-f]{1,4}|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))|(([0-9A-Fa-f]{1,4}:){5}[0-9A-Fa-f]{1,4})?::[0-9A-Fa-f]{1,4}|(([0-9A-Fa-f]{1,4}:){6}[0-9A-Fa-f]{1,4})?::)|[vV][0-9A-Fa-f]+\\.([a-zA-Z0-9\\-._~]|[!$&'()*+,;=]|:)+)\\]|([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])|([a-zA-Z0-9\\-._~]|%[0-9A-Fa-f][0-9A-Fa-f]|[!$&'()*+,;=])*)))?/((([a-zA-Z0-9\\-._~]|%[0-9A-Fa-f][0-9A-Fa-f]|[!$&'()*+,;=]|[:@]))+(/(([a-zA-Z0-9\\-._~]|%[0-9A-Fa-f][0-9A-Fa-f]|[!$&'()*+,;=]|[:@]))*)*)?|/((([a-zA-Z0-9\\-._~]|%[0-9A-Fa-f][0-9A-Fa-f]|[!$&'()*+,;=]|[:@]))+(/(([a-zA-Z0-9\\-._~]|%[0-9A-Fa-f][0-9A-Fa-f]|[!$&'()*+,;=]|[:@]))*)*)?)$"}]},"contentType":{"type":"string","allOf":[{"minLength":1,"maxLength":100},{"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},{"pattern":"^([!#$%&'*+\\-.^_`|~0-9a-zA-Z])+/([!#$%&'*+\\-.^_`|~0-9a-zA-Z])+([ \\t]*;[ \\t]*([!#$%&'*+\\-.^_`|~0-9a-zA-Z])+=(([!#$%&'*+\\-.^_`|~0-9a-zA-Z])+|\"(([\\t !#-\\[\\]-~]|[-ÿ])|\\\\([\\t !-~]|[-ÿ]))*\"))*$"}]}},"required":["path"]},"SpecificAssetId":{"allOf":[{"$ref":"#/definitions/HasSemantics"},{"properties":{"name":{"type":"string","minLength":1,"maxLength":64,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"value":{"type":"string","minLength":1,"maxLength":2000,"pattern":"^([\\t\\n\\r -퟿-�]|\\ud800[\\udc00-\\udfff]|[\\ud801-\\udbfe][\\udc00-\\udfff]|\\udbff[\\udc00-\\udfff])*$"},"externalSubjectId":{"$ref":"#/definitions/Reference"}},"required":[
[...]
